org.keycloak.exportimport

## Class ModelExporter

- java.lang.Object
- - org.keycloak.exportimport.ModelExporter

-     public class ModelExporter
      extends Object

  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelExporter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `exportApplications(KeycloakSession keycloakSession, String fileName)`
    `void` | `exportModel(KeycloakSession keycloakSession, ExportWriter exportWriter)`
    `protected void` | `exportOAuthClients(KeycloakSession keycloakSession, String fileName)`
    `protected void` | `exportRealms(KeycloakSession keycloakSession, String fileName)`
    `protected void` | `exportRoles(KeycloakSession keycloakSession, String fileName)`
    `protected void` | `exportUserFailures(KeycloakSession keycloakSession, String fileName)`
    `protected void` | `exportUsers(KeycloakSession keycloakSession, String fileName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelExporter

          public ModelExporter()

  - ### Method Detail

    - #### exportModel

          public void exportModel(KeycloakSession keycloakSession,
                         ExportWriter exportWriter)

    - #### exportRealms

          protected void exportRealms(KeycloakSession keycloakSession,
                          String fileName)

    - #### exportApplications

          protected void exportApplications(KeycloakSession keycloakSession,
                                String fileName)

    - #### exportOAuthClients

          protected void exportOAuthClients(KeycloakSession keycloakSession,
                                String fileName)

    - #### exportRoles

          protected void exportRoles(KeycloakSession keycloakSession,
                         String fileName)

    - #### exportUsers

          protected void exportUsers(KeycloakSession keycloakSession,
                         String fileName)

    - #### exportUserFailures

          protected void exportUserFailures(KeycloakSession keycloakSession,
                                String fileName)

Copyright © 2014. All Rights Reserved.